Subject: ppc inline assembly in h files

From: Jim Chapman <[email-masked]>
Date: Fri, 07 Apr 2000 14:07:11 +0100

I'm having problems getting some of my inline asm() code to work.
Browsing the kernel's include/asm-ppc to see how things are done by the
kernel, I notice that the atomic functions in include/asm-ppc/atomic.h
are commented out. Is this due to compiler issues? Is there a version of
gcc that allows such functions to be inlined in asm() statements? When
can inline asm() be used safely?

Thanks

-Jim

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/